Z-Wave and Hassbian - 'please check your config'

Homepage error on initial Zwave setup - “Invalid config. The following components and platforms could not be setup. Please check your config”

My steps have been as follows:

  1. Bought Raspberry Pi 3 and Aeotec Z wave stick
  2. Installed from Hassbian image
  3. Great - I can see HA at localhost:8123
  4. Ran sudo ./hassbian-scripts/install_openzwave.sh
  5. Used WinSCP (SCP and Superuser session) to edit configuration.yaml to include
    zwave:
    usb_path: /dev/ttyACM0

Error as above

What have I not done? Is there a step I have missed? Thanks all

is your config

zwave:
usb_path: /dev/ttyACM0

or

zwave:
  usb_path: /dev/ttyACM0

Any info in the log?

Hi - it was initially the first, but I just tried with the second with the indentation

zwave:
usb_path: /dev/ttyACM0

But still no luck.
Which log - in the web console?
thanks a lot for your help

I just rebooted and get the following in the log:

The following errors have been logged this session:

17-03-05 00:19:02 ERROR (MainThread) [homeassistant.bootstrap] Error during setup of component zwave
Traceback (most recent call last):
File “/srv/homeassistant/lib/python3.4/site-packages/pyozwweb-0.3.2-py3.4.egg/openzwave/option.py”, line 78, in init
raise ZWaveException(u"Can’t find device %s : %s" % (device, traceback.format_exception(*sys.exc_info())))
File “/usr/lib/python3.4/traceback.py”, line 181, in format_exception
return list(_format_exception_iter(etype, value, tb, limit, chain))
File “/usr/lib/python3.4/traceback.py”, line 146, in _format_exception_iter
for value, tb in values:
File “/usr/lib/python3.4/traceback.py”, line 125, in _iter_chain
context = exc.context
AttributeError: ‘NoneType’ object has no attribute ‘context

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/srv/homeassistant/lib/python3.4/site-packages/homeassistant/bootstrap.py”, line 153, in _async_setup_component
None, component.setup, hass, config)
File “/usr/lib/python3.4/asyncio/futures.py”, line 388, in iter
yield self # This tells Task to wait for completion.
File “/usr/lib/python3.4/asyncio/tasks.py”, line 286, in _wakeup
value = future.result()
File “/usr/lib/python3.4/asyncio/futures.py”, line 277, in result
raise self._exception
File “/usr/lib/python3.4/concurrent/futures/thread.py”, line 54, in run
result = self.fn(*self.args, **self.kwargs)
File “/srv/homeassistant/lib/python3.4/site-packages/homeassistant/components/zwave/init.py”, line 307, in setup
CONF_CONFIG_PATH, default_zwave_config_path))
File “/srv/homeassistant/lib/python3.4/site-packages/pyozwweb-0.3.2-py3.4.egg/openzwave/option.py”, line 81, in init
raise ZWaveException(u"Error when retrieving device %s : %s" % (device, traceback.format_exception(*sys.exc_info())))
openzwave.object.ZWaveException: ‘Zwave Generic Exception : Error when retrieving device /dev/ttyACM0 : [‘Traceback (most recent call last):\n’, ’ File “/srv/homeassistant/lib/python3.4/site-packages/pyozwweb-0.3.2-py3.4.egg/openzwave/option.py”, line 78, in init\n raise ZWaveException(u"Can\‘t find device %s : %s" % (device, traceback.format_exception(*sys.exc_info())))\n’, ’ File “/usr/lib/python3.4/traceback.py”, line 181, in format_exception\n return list(_format_exception_iter(etype, value, tb, limit, chain))\n’, ’ File “/usr/lib/python3.4/traceback.py”, line 146, in _format_exception_iter\n for value, tb in values:\n’, ’ File “/usr/lib/python3.4/traceback.py”, line 125, in _iter_chain\n context = exc.context\n’, “AttributeError: ‘NoneType’ object has no attribute ‘context’\n”]’

Device not found. The doc says that the usb_path is optional. What happens if you just do zwave: and no path?

Unfortunately I don’t have a zwave usb stick so I have nothing first hand to reference. But i added zwave: to my config and received the same error, device not found, which i would expect since I don’t have a device.

Just zwave: with no path throws up the same error

Stick’s not dead, LEDs are cycling as expected - can anyone help my Hassbian and Zwave stick play together?

Hi there, I have the same setup and followed steps 1 - 3. Why is step 4 required with Hassbian?

My error is

17-03-05 11:34:49 ERROR (Thread-6) [homeassistant.components.zwave] You are missing required dependency Python Open Z-Wave. Please follow instructions at: https://home-assistant.io/components/zwave/
17-03-05 11:34:49 ERROR (MainThread) [homeassistant.bootstrap] component zwave failed to initialize
17-03-05 11:35:22 WARNING (Thread-11) [netdisco.ssdp] Error fetching description at http://192.168.1.250:49152/wps_device.xml
17-03-05 11:35:23 WARNING (Thread-11) [netdisco.ssdp] Error fetching description at http://192.168.1.1:49152/wps_device.xml

The last two lines with 192.168.1.x are worrying as my LAN is on 10.1.1.x

Step 4 seems to be required with Hassbian because Zwave is not included as standard

Are you sure your USB stick is matched to ttyACM0? It could be ACM1 or something else. Change directory to /dev and do a ls to get a listing. You should confirm there ttyACM0 exists or note anything that is similar and try that.

Also, do not use the tab key to move the cursor when editing YAML files. Use two spaces on the usb_path line to indent.

zwave:
  usb_path: /dev/ttyACM0

Thanks for the suggestions - ttyACM0 exists (and is the only ttyACM*). I have used two spaces as suggested.

I have a zwave section in the configuration of the HA webpage, and also the option to choose zwave as a domain in the services section of the developer tools in the HA webpage.

However, it’s still reporting a config error.

I also just tried this but no luck

If hass runs with another user (e.g. homeassistant on Hassbian) give access to the stick with:
$ sudo usermod -a -G dialout homeassistant

I also had problems to get zwave running on Hassbian, this trick worked for me.
(cannot recall who posted this and where)

HASSbian is preconfigured for Python in a virtual environment. Therefore you need to do this:
edit this file: /srv/homeassistant/pyvenv.cfg
include-system-site-packages = true

Thanks, I tried that and no luck.

Has anyone else managed to get this working? Should I try the All In One installer instead and scrap the Hassbian?

thanks all, step 4 ran overnight and fixed my problem! zwave devices all showing up now!

I gave up with Hassbian and ran the AIO installer… which also failed.

However, this fixes the AIO installer zwave problem